Subject: Re: Strange behavior with git rebase (-i)

From: "Stefan (metze) Metzmacher" <[email-masked]>
Date: Sun, 03 Feb 2008 02:21:12 +0100

Johannes Schindelin schrieb:
> Hi,
> 
> On Sat, 2 Feb 2008, Steven Walter wrote:
> 
>> On Sat, Feb 02, 2008 at 03:42:06PM +0000, Johannes Schindelin wrote:
>>> I don't believe it.  "git branch" would have shown "* (no branch)" as 
>>> current branch, unless the rebase is finalized.
>>>
>>> git rebase -i works on a _detached_ HEAD, for two reasons:
>>> On Sat, 2 Feb 2008, Stefan (metze) Metzmacher wrote:
>>>> I was using git 1.5.3.2
>> Did rebase -i in git 1.5.3.2 use a detached head?  I thought that was
>> new in 1.5.4.
> 
> rebase -i uses a detached HEAD since it was merged.  In 1.5.4, rebase 
> (note the absence of -i) uses a detached HEAD, too.

Hmm, I can't reproduce this...maybe I was just to stupid and didn't look
at the git branch output carefully...

metze